/*
  start of a generic gui Device
  Copyright (C) 1998  Martin Vogt

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation.

  For more information look at the file COPYRIGHT in this package

 */


#include <deviceWidgets/guiDeviceCore.h>



GuiDeviceCore::GuiDeviceCore( QWidget *parent=0, 
 		      const char *name=0 ) : QWidget(parent,name) {
  device=NULL;
  timer=new QTimer(this);
  connect( timer, SIGNAL(timeout()), this, SLOT(timeEvent()) );
}



GuiDeviceCore::~GuiDeviceCore() {
}


int GuiDeviceCore::startTimer ( int msec, bool sshot = false ) {
  int back;
  back=timer->start(msec,sshot);
  return back;
}

void GuiDeviceCore::stopTimer() {
  timer->stop();
}


OutputDevice* GuiDeviceCore::getDevice() {
  return device;
}


void GuiDeviceCore::setDevice(OutputDevice* device) {
  connect(device, SIGNAL(dataNotify()), this,SLOT(dataNotify()));
  this->device=device;
}


void GuiDeviceCore::clearData() {
  if (device != NULL) {
    device->clearData();
  }
  lHasData=false;
}

int GuiDeviceCore::hasData() {
  return lHasData;
}


void GuiDeviceCore::dataNotify() {
  lHasData=true;
}

void GuiDeviceCore::timeEvent() {
  update();
}

void GuiDeviceCore::setDeliverMode(int id) {
  if (device != NULL) {
    device->setDeliverMode(id);
  }  
}  


void GuiDeviceCore::configure() {
  cout << "configure selected"<<endl;
}


void GuiDeviceCore::attach() {
  cout << "attach selected"<<endl;
}


void GuiDeviceCore::detach() {
  cout << "detach selected"<<endl;
}

void GuiDeviceCore::paintEvent ( QPaintEvent * paintEvent ) {
}


