/*
  gui part for the info device (very simple)
  Copyright (C) 1998  Martin Vogt

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation.

  For more information look at the file COPYRIGHT in this package

 */




#include <deviceWidgets/guiInfoDevice.h>




GuiInfoDevice::GuiInfoDevice(QWidget *parent=0, 
			       const char *name=0):GuiDevice( parent, name ) {

  buffer=new Buffer(10);

  setMinimumSize( sizeHint() );
  infoDevice=new InfoDevice();
  setDevice(infoDevice);
}


GuiInfoDevice::~GuiInfoDevice() {
  delete buffer;
  delete infoDevice;
}

void GuiInfoDevice::dataNotify() {
  update();
}

char* GuiInfoDevice::getName() {
  return infoDevice->getName();
}


int GuiInfoDevice::getSec() {
  return infoDevice->getSec();
}


QSize GuiInfoDevice::sizeHint () {
  return QSize(140,40);
}


void GuiInfoDevice::paintEvent ( QPaintEvent * paintEvent ) {
  int time;
  QPainter paint;
  time=getSec();
  snprintf(buffer->getData(),10,"%d",time);
  paint.begin( this );
  paint.drawText(0,10,buffer->getData());
  paint.drawText(0,30,getName());
  paint.end();  
  
}



